Subject: Re: [bitcoin-dev] This thread is not about the soft/hard fork technical debate

From: [email-masked]
Date: Tue, 6 Oct 2015 12:34:39 -0700

Hey all, nice to meet you... I'm new to the community and thus, after taking that first step of signing up, have been reading/scanning these threads over the last few days without contributing my own two ¢-- not, um, 'trolling', just, you know, educating myself and getting familiar with the group ethos and etiquette.  

It wasn't until I'd read ~10 posts that I  understood the initial purpose of the thread!  As few others have mentioned, I'm a bit surprised, at all the back and forth à la hip-hop 'battling' ;-) It certainly obfuscates-- while entertaining-- to the point where a newbie like myself might drop out... Perhaps this is intentional-- to maintain exclusivity and weed out the uninitiated.  I dunno.  But if not, I'm just noting, as something of an outsider, that it took a while.

But I'd like to contribute.  With what little knowledge I possess, I'm inclined to favor hardfork... Is there a more suitable place to address this?  Perhaps to work on code?  For this specific project, that is...  Anyone point me to a map somewhere?  LOL.

Thanks to all for reading, and much admiration to you all and the work you've done, my latter comments notwithstanding!  

Cheers,
N

> On Oct 6, 2015, at 11:28 AM, Venzen Khaosan via bitcoin-dev <[email-masked]> wrote:
> 
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> That's for Mike Hearn. Sooner the better. Hong Kong, December?
> Venzen Khaosan
> 
> 
>> On 10/07/2015 01:23 AM, Venzen Khaosan via bitcoin-dev wrote:
>> Tell you what, eloquent guy...
>> 
>> Give me 15 minutes in a public open mic session with you and i'll 
>> remove you from your high horse and close your voice in Bitcoin,
>> for good.
>> 
>> Guaranteed. You're too stupid for me to let you run loose with
>> client funds and this great innovation.
>> 
>> Anytime, anywhere. I'm ready to dismantle your intellectual
>> bankruptcy in front of the world.
>> 
>> I'll go for your psychological throat first.
>> 
>> Sincerely, Venzen Khaosan.
>> 
>> 
>> 
>>> On 10/05/2015 11:56 PM, Mike Hearn via bitcoin-dev wrote:
>>> Hey Sergio,
>> 
>>> To clarify: my /single/ objection is that CLTV should be a hard 
>>> fork. I haven't been raising never-ending technical objections, 
>>> there's only one.
>> 
>>> I /have/ been answering all the various reasons being brought up 
>>> why I'm wrong and soft forks are awesome .... and there do seem
>>> to be a limitless number of such emails .... but on my side it's
>>> still just a single objection. If CLTV is a hard fork then I
>>> won't be objecting anymore, right?
>> 
>>> CLTV deployment is clearly controversial. Many developers other 
>>> than me have noted that hard forks are cleaner, and have other 
>>> desirable properties. I'm not the only one who sees a big
>>> question mark over soft forks.
>> 
>>> As everyone in the Bitcoin community has been clearly told that 
>>> controversial changes to the consensus rules must not happen,
>>> it's clear that CLTV cannot happen in its current form.
>> 
>>> Now I'll be frank - you are quite correct that I fully expect
>>> the Core maintainers to ignore this controversy and do CLTV as a
>>> soft fork anyway. I'm a cynic. I don't think "everyone must
>>> agree" is workable and have said so from the start. Faced with a
>>> choice of going back on their public statements or having to make
>>> changes to something they clearly want, I expect them to redefine
>>> what "real consensus" means. I hope I'm wrong, but if I'm not
>>> ..... well, at least everyone will see what Gavin and I have been
>>> talking about for so many months.
>> 
>>> But I'd rather the opcode is tweaked. There's real financial
>>> risks to a soft fork.
>> 
>> 
>>> _______________________________________________ bitcoin-dev
>>> mailing list [email-masked] 
>>> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>> 
>> _______________________________________________ bitcoin-dev mailing
>> list [email-masked] 
>> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v2.0.22 (GNU/Linux)
> 
> iQEcBAEBAgAGBQJWFBLWAAoJEGwAhlQc8H1mRM8H/0p2sz0gtu62bB+NrllRgU20
> C4imzMr904X7JicqDsGhtySGdyk8DuHBSK4k1A3pOgPb+DoNQhcOUfZ2ZTNgR2tT
> yjJHrJP2X+g8YixyQiQNBf65bogTgeBGEizh/H33RSGzdHwoIfeVS5Qja/AMUnk1
> 4XO8d+t5OdtYdKANmR/uUZikrnOXd6KIt9rmJhYUjqmLWXbHzQkhES0mFvJ1BdVZ
> ZHNjnWzoE74NAEmPqhhhtU/GCFKQhBq7HHAnqkMoeWk0mgJoGCc+b/4/PwchmUJq
> CmVO2TJFrnHb4tYAFgw14tdbSe5ERYT0pHW4qM3gJlYL1ik03k0iQDZZ0eStaXM=
> =bwvw
> -----END PGP SIGNATURE-----
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev